.swag-guided-shopping-presentation-appointments-overview__modal {
    .sw-modal__footer {
        justify-content: space-between;

        .swag-guided-shopping-presentation-appointments-overview__modal-action {
            display: flex;
            gap: 8px;
        }
    }

    .sw-card {
        filter: none;
        margin-bottom: 0;
        border-radius: 0;
        box-shadow: none;

        .sw-card__header {
            padding: 0;
            border: none;

            .sw-card__title {
                font-size: 14px;
            }
        }

        .sw-card__content {
            padding: 15px 0 0 0;
        }
    }

    .swag-guided-shopping-appointment-detail-base__general {
        .sw-card__content {
            padding-top: 8px;
        }
    }
}

.swag-guided-shopping-presentation-detail-appointments {
    &.sw-card {
        .sw-card__toolbar {
            border: none;
            border-bottom: 1px solid #d1d9e0;
        }
    }

    .swag-guided-shopping-presentation-detail-appointments__filter-input.sw-card-filter {
        .sw-card-filter-container .sw-simple-search-field__input input {
            padding: 4px 16px;
        }
    }

    .swag-guided-shopping-presentation-appointments-overview__data-grid {
        .sw-data-grid__table {
            table-layout: fixed;
        }
        &:not(.is--compact) {
                .sw-data-grid__cell-content {
                    padding: 6px 24px !important;
                }
        }

        .sw-data-grid__cell--name {
            .path {
                font-size: 12px;
                line-height: 14px;
                padding-left: 10px;
            }

            .sw-data-grid__cell-content {
                .name {
                    display: flex;
                    font-weight: 600;
                }

                .mode-date {
                    font-size: 12px;
                }
            }

            @media all and (min-width: 980px) {
                .name {
                    flex: 1 0 100%;
                }
            }
        }

        .sw-field-copyable {
            margin: 5px 0 0 0;

            & > svg {
                height: 16px;
                width: 16px;
            }
        }

        .sw-data-grid__cell--activity {
            .sw-data-grid__cell-content {
                position: relative;
                padding-right: 0 !important;

                .dash {
                    text-align: center;
                }

                .from,
                .till {
                    font-weight: 600;
                }

                .not-started {
                    text-align: center;
                    width: 100%;
                }

                .running-icon {
                    position: absolute;
                    right: 20px;
                    display: none; //prepared but not displayed icon
                }
            }
        }

        .sw-data-grid__cell-content {
            a {
                cursor: pointer;
            }

            .sw-button:not(:last-child) {
                margin-right: 0; // prevent btn moving
            }
        }
    }
}
